Bug 265881 - Mutual (2-way) CHAP does not work in RHEL5
Summary: Mutual (2-way) CHAP does not work in RHEL5
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Mike Christie
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-29 23:02 UTC by Fong Banh
Modified: 2011-01-28 00:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-28 00:46:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fong Banh 2007-08-29 23:02:59 UTC
Description of problem:
The initiator does not log into the target. It retries a few times (5 default),
then the login procedure fails. If you comment out the CHAP related fields in
the iscsid.conf file, then login works fine.


Version-Release number of selected component (if applicable):


How reproducible:
Very

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The initiator does not log in to the target when mutual CHAP is enabled.

Expected results:
The initiator should be able to authenticate with the target and vice-versa so
we can initiate both a discovery and normal session.

Additional info:

Comment 1 Mike Christie 2007-08-30 22:59:47 UTC
Attach a etheral/writeshark trace.

Does mutual chap not work for normal and discovery sessions? If so could you run
iscsiadm with "-d 8" and send that output when you do discovery.

Also this is with the LSI target right? It seems to work fine for netapp and IET
among others.

Comment 2 Mike Christie 2007-08-30 23:00:21 UTC
Could you also send the iscsi.conf values for the usernames and passwords you
are using?

Comment 3 Tom Coughlan 2007-11-21 21:46:13 UTC
Please provide the information requested in commetns 1 and 2. 

Comment 4 Ronald Pacheco 2011-01-28 00:46:36 UTC
Given that the requested information has not been provided in over 3 years, I am closing this as insufficient data.


Note You need to log in before you can comment on or make changes to this bug.